查询订单
GET https://{handle}.myshopline.com/admin/openapi/v20260901/orders.json
handle :店铺的唯一标识符,值为店铺域名的前缀。例如,域名为 open001.myshopline.com 的店铺,其 handle 是 open001 。可根据请求条件批量查询订单详细信息,比如根据订单创建时间或者更新时间来查询订单,同步订单数据,也可以指定订单 ID 查询单个订单信息。
查询参数
- email string下单买家的邮箱。例子:
Washingtontest@gmail.com - financial_status string指定订单支付状态,有效枚举值包含:
unpaid:未支付authorized:已授权pending:支付中partially_paid:部分支付paid:已支付partially_refunded:部分退款refunded:已退款
- fulfillment_status string指定订单发货状态,有效枚举值包含:
unshipped:未发货partial:部分发货shipped:已发货
默认值:unshipped注意:传入枚举值的准确性会进行强校验,如果枚举值校验不通过,则订单查询会失败,会报错fulfillment status value is illegal。 - updated_at_min string按订单更新时间查询时,指定要查询的订单更新时间起始点。系统将返回该时间点及此后更新的订单。格式:ISO 8601。例子:
2021-08-04T23:59:59+08:00 - buyer_id string下单买家 ID。